Bug 51275 - Line width not treated the same in shapes containing text as it is in ordinary text
Summary: Line width not treated the same in shapes containing text as it is in ordinar...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2012-06-20 20:00 UTC by Brennan Vincent
Modified: 2019-12-03 14:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Attachment showing the bug. (14.75 KB, application/vnd.oasis.opendocument.text)
2012-06-20 20:00 UTC, Brennan Vincent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brennan Vincent 2012-06-20 20:00:01 UTC
Created attachment 63278 [details]
Attachment showing the bug.

In Writer, if one paragraph is double-spaced and the next is single-spaced, there is substantial space between the last line of the first paragraph and the first line of the second paragraph; this space is part of the last line of the first paragraph. In shapes containing text, there is no space between the two paragraphs.

This behavior can be changed in the normal text by the option "Don't add space between paragraphs of the same style", but no corresponding option exists for the text in the shape.
Comment 1 Joel Madero 2012-12-06 18:23:49 UTC
Verified that there is different behavior of text spacing inside of a shape. 

Changing Version as I've confirmed it on 3.6.3.2 (version is the oldest version of LibO that the bug has been seen, not the latest that it has been confirmed on).

Changing platform to ALL

Marking as NEW (Confirmed)

Prioritizing:

Minor: Doesn't prevent professional quality work as there is a really easy work around (just add a line by pushing enter). 

Low: Easy workaround along with the fact that this only happens under specific situations (wanting double/single line spacing mixed inside of a shape).

Thanks for reporting, it helps us tremendously
Comment 2 QA Administrators 2015-01-05 17:51:29 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-01-22 16:36:48 UTC
Confirmed that this still happens.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 4 QA Administrators 2016-02-21 08:35:34 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:18:26 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:03:15 UTC
Dear Brennan Vincent,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug